CMST(1)

NAME
CMST - Connman System Tray

SYNOPSIS
Usage: cmst [options]

DESCRIPTION
A QT5 based GUI front end for the Connman network daemon

OPTIONS

-b, --bypass-restore-state
    If restore state is specified in the settings file this take precedence over that setting and not restore the state when starting.

-B, --bypass-start-options
    Ignore completely any start options specified in the settings file.

-c, --enable-counters [Experimental]
    Enable the counters. Counters are disabled by default to minimize load on your system.

-d, --disable-tray-icon
    Disable the system tray icon. May be needed for system trays not compliant with the Freedesktop.org system tray specification.

-h, --help
    Displays this help.

-i, --icon-theme <Icon Theme Name>
    Use a specific icon theme from your system. The Icon Theme name is optional and if specified CMST will try to use icons from that theme. If no name is provided and if a system wide icon theme is defined (via your DE) it will be used. If the icon theme cannot be found CMST will fallback to using internal built in icons.

-I, --icon-scale <Icon Scale>
    Scale icons and other artwork in CMST. For High DPI moitors it may be necessary to specify a scale factor on icons and other artwork in CMST. You may override the default using this option. For High DPI monitors a factor of 2 has been found to be good. The default scale is 1.0. Valid values of scale factor are from 1.0 to 3.0.

-l, --log-input-request
    Log the Connman inputRequest for debugging purposes.

-m, --minimized
    Start the GUI minimized in the system tray.

-M, --disable-minimize
    Disable the minimize button. Use when you want the window manager to have sole control in minimizing the interface.

-n, --disable-vpn
    Disable VPN support. This will disable (grey out) the VPN tab and the VPN editor button. More importantly it will also bypass setting up a DBUS connection to connman-vpn. If Connman is compiled without VPN support this option should be supplied.

-v, --version
    Displays version information.

-w, --wait-time <seconds>
    Specify the wait time in seconds before starting the system tray icon (default is 0 seconds). If CMST is started and tries to create a tray icon before the system tray itself is created CMST will not be able to start minimized. This sometimes happens when the program is started automatically. If you know the tray will exist once the system is up you may specify a wait time and CMST will wait that number of seconds before trying to create the tray icon. This is to give the window manager or panel time to create the tray before we try to place the icon there. If you plan to start with the main dialog shown on screen there is no reason to use this option. This is only intended to be used for starting minimized.

--counter-update-kb <KB> [Experimental]
    Specify the amount of data in KB that must be transmitted before the counters update (default is 1024 KB). Connman will accept this entry, but according to a comment in the Connman code the actual feature still needs to be implemented.

--counter-update-rate <seconds> [Experimental]
    Specify the frequency in seconds between counter updates (default is 10 seconds).

--fake-transparency <RRGGBB>
    On some systems the system tray icon background, which is transparent, will display as white or black. This seems to be an issue between QT, system tray implementations, compositing, and perhaps certain graphics cards. To work around it we've implemented a fake transparency for tray icons. To use it specify the system tray background color with this option. If the background color is provided CMST will convert the tray icon image to have the specified background color. Color is a hex number in the format: RRGGBB.

COMMAND LINE STABILITY
Command line options marked [Experimental] refer to some option in Connman that is currently flagged experimental. These options should not be assumed to be fixed and could change at any time. Other command line options may be assumed to be fixed and should be safe to use in startup scripts.

GUI INFO
The GUI contains one main dialog with separate tab pages. Program help is mainly provided through a "What's This" interface. The "What's This" button in the lower left corner will allow you to enter "What's This" mode, click the button and then click the GUI feature, or control that you are interested in. A right mouse click on a GUI feature or control will also enter "What's This" mode.

Status Tab
    The status tab displays information about the global properties, found technologies, and services. Checkbox at the top right will allow you to put everything in "offline" mode. To toggle a technology on or off click the entry under the Powered column

Details Tab
    The details tab will display detailed setup and connection information about a service. Select the service you wish to investigate in the combo box at the top.

Wireless Tab
    The Wireless tab will display information, connect, disconnect, and edit certain properties of wireless services.

VPN Tab
    The VNP tab will display information, connect and disconnect already provisioned VPN services.

Counters Tab
    The Counters tab will display information about the Connect time, the Transmit (TX) and Receiving (RX) counters for the service currently in the "online" state. The counters are set to fairly course intervals to minimize system usage. Currently these interval settings are hard coded into the program.

Preferences Tab
    The preferences tab will allow you to change some aspects of the GUI.

CONFIGURATION
For typical networks and access points, even hidden ones, Connman will find and automatically configure the network for you. If Connman needs information, for instance a passphrase, CMST registers an agent and this agent will prompt you for the needed information. For most cases this "just works", however there are options for fine tuning the automatic configuration or creating provisioning files.

Profile Editor
    There are a variety of connection settings that may be used to override the automatic settings. An editor is provided to access these settings via the Configuration button in the lower right corner of the Details tab. One common use is to define a static IP address for the connection. Hidden or provisioned (see below) services cannot be edited.

802.1x Encrypted Networks (Eduroam and similar)
    Certain types encrypted networks require a config (provisioning) file to be created before you first connect. As of 2014.10.30 CMST has a provisioning editor built in, but it is considered an advanced control and by default it is hidden. To enable the control check the Advanced Controls box on the Provisioning tab. The button to open the editor will appear in the lower left corner of the dialog. With this editor you may create, open, edit, delete and save config files to /var/lib/connman. The menu at the top may be used to enter some information automatically, and many of the input fields are validated as you enter text into them. There are also predefined template files that may be used to seed the editing area. All of this can be bypassed if you wish and you may cut and paste or type into the editor directly.

Creating and Editing VPN Connections
    As of 2016.01.26 CMST has a VPN provisioning editor built in, but it is considered an advanced control and by default it is hidden. To enable the control check the Advanced Controls box on the Provisioning tab. The button to open the editor will appear in the lower left corner of the dialog. With this editor you may create, open, edit, delete and save config files to /var/lib/connman-vpn. The menu at the top may be used to enter some information automatically, and many of the input fields are validated as you enter text into them. The first item under each menu heading (Provider xxx) will start a junior wizard to walk you through entering all the mandatory information for each connection type. For OpenVPN the second menu item (Import Configuration) will import an OpenVPN .opvn file. The import will extract and save keys and certificates and will place the proper provisioning entries into the editor window.

BUGS
For the tray icon to display is it required that the system tray be compliant with the Freedesktop.org systemtray specification.

The tray icon is known to not work in the DWM system tray which appears to be a noncompliant tray.

Author
Andrew J. Bibb. Project web page: https://github.com/andrew-bibb/cmst